#include <gtk/gtk.h>
#include "utils.h"

gboolean is_appdir(const char *path) {
	gboolean ret = FALSE;
	gchar *apprun_path;
	g_return_val_if_fail(path != NULL, FALSE);
	if ( g_file_test(path, G_FILE_TEST_IS_DIR) ) {
		apprun_path = g_build_path("/", path, "AppRun", NULL);
		if ( g_file_test(apprun_path, G_FILE_TEST_IS_EXECUTABLE) ) {
			/* Insert test that dir and AppRun owned by same uid. */
			ret = TRUE;
		}
		g_free(apprun_path);
	}
	return ret;
}

gboolean is_regdir(const char *path) { 
	g_return_val_if_fail(path != NULL, FALSE);
	if ( g_file_test(path, G_FILE_TEST_IS_DIR) && ! is_appdir(path) ) {
		return TRUE;
	} else {
		return FALSE;
	}
}
